import { VescellParserConfig } from './model/vescell-parser-config';
import * as i0 from "@angular/core";
export declare class CtVescellParserService {
    private config;
    private defaultConfig;
    private idxMap;
    private finalConfig;
    constructor(config: VescellParserConfig);
    private _updateIdxMap;
    private _padLeft;
    getBay(vescell: string): string;
    getBayno(vescell: string): string;
    getL(vescell: string): string;
    getC(vescell: string): string;
    getLC(vescell: string): string;
    isDeck(vescell: string): boolean;
    formatP(row: number | string): string;
    formatC(tier: number | string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<CtVescellParserService, [{ optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CtVescellParserService>;
}
