import { YardposParserConfig } from './model/yardpos-parser-config';
import * as i0 from "@angular/core";
export declare class CtYardposParserService {
    private config;
    private defaultConfig;
    private idxMap;
    private finalConfig;
    constructor(config: YardposParserConfig);
    private _updateIdxMap;
    private _padLeft;
    getQ(yardpos: string): string;
    getW(yardpos: string): string;
    getP(yardpos: string): string;
    getC(yardpos: string): string;
    getQW(yardpos: string): string;
    getQWP(yardpos: string): string;
    formatW(bay: number | string): string;
    formatP(row: number | string): string;
    formatC(tier: number | string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<CtYardposParserService, [{ optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CtYardposParserService>;
}
