import { ElementRef, EventEmitter, OnChanges, OnInit } from '@angular/core';
import * as d3 from 'd3';
import { RenderOptions, YardInfo } from 'ng-container-terminal/core';
import * as i0 from "@angular/core";
export declare class CtYardOverviewComponent<T> implements OnInit, OnChanges {
    private el;
    private host;
    private svgCtx;
    private yardOverviewGroup;
    private ctxWidth;
    private ctxHeight;
    private defaultRenderOptions;
    private _renderOptions;
    set renderOptions(options: RenderOptions<YardInfo<T>>);
    get renderOptions(): RenderOptions<YardInfo<T>>;
    yardInfoList: YardInfo<T>[];
    yardClick: EventEmitter<YardInfo<T>>;
    yardContentRender: EventEmitter<{
        node: d3.Selection<any, any, any, any>;
        data: YardInfo<T>;
    }>;
    constructor(el: ElementRef);
    ngOnInit(): void;
    ngOnChanges(): void;
    initYardOverview(): void;
    scaleYardOverview(): void;
    redraw(): void;
    private draw;
    static ɵfac: i0.ɵɵFactoryDeclaration<CtYardOverviewComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtYardOverviewComponent<any>, "ct-yard-overview", never, { "renderOptions": "renderOptions"; "yardInfoList": "yardInfoList"; }, { "yardClick": "yardClick"; "yardContentRender": "yardContentRender"; }, never, never>;
}
